Create an encryption material
curl --request POST \
--url https://api-dev.narrative.io/encryption-materials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "My encryption material",
"description": "Some kind of description",
"tags": [
"use-case-1"
]
}
'import requests
url = "https://api-dev.narrative.io/encryption-materials"
payload = {
"display_name": "My encryption material",
"description": "Some kind of description",
"tags": ["use-case-1"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: 'My encryption material',
description: 'Some kind of description',
tags: ['use-case-1']
})
};
fetch('https://api-dev.narrative.io/encryption-materials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "tmh-9w"
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}{
"error": "Unauthorized",
"error_description": "You are not authorized to use this endpoint."
}Encryption Materials
Create an encryption material
Create an encryption material
POST
/
encryption-materials
Create an encryption material
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
The id of the encryption material
Was this page helpful?
⌘I

